> For the complete documentation index, see [llms.txt](https://docs.justaname.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.justaname.id/sdk-reference/justaname-react-sdk/interfaces/usesetnamehashjustanameresolver.md).

# UseSetNameHashJustaNameResolver

[**@justaname.id/react**](/sdk-reference/justaname-react-sdk.md) • **Docs**

***

[@justaname.id/react](/sdk-reference/justaname-react-sdk/globals.md) / UseSetNameHashJustaNameResolver

## Interface: UseSetNameHashJustaNameResolver\<T>

Interface defining the parameters needed to set the JustaName resolver.

### Type Parameters

• **T** = `any`

### Properties

#### isSetNameHashJustaNameResolverPending

> **isSetNameHashJustaNameResolverPending**: `boolean`

Indicates if the mutation is currently pending.

**Defined in**

[packages/@justaname.id/react/src/lib/hooks/resolver/useSetNameHashJustaNameResolver.ts:110](https://github.com/JustaName-id/JustaName-sdk/blob/dc845c10af242e3ca87d95ef392516ac0bfa8b95/packages/@justaname.id/react/src/lib/hooks/resolver/useSetNameHashJustaNameResolver.ts#L110)

***

#### NameHashJustaNameResolverSet

> **NameHashJustaNameResolverSet**: `boolean`

Indicates if the JustaName resolver is set.

**Defined in**

[packages/@justaname.id/react/src/lib/hooks/resolver/useSetNameHashJustaNameResolver.ts:109](https://github.com/JustaName-id/JustaName-sdk/blob/dc845c10af242e3ca87d95ef392516ac0bfa8b95/packages/@justaname.id/react/src/lib/hooks/resolver/useSetNameHashJustaNameResolver.ts#L109)

***

#### setNameHashJustaNameResolver()

> **setNameHashJustaNameResolver**: () => `Promise`<`void`>

The function to set the JustaName resolver.

**Returns**

`Promise`<`void`>

**Defined in**

[packages/@justaname.id/react/src/lib/hooks/resolver/useSetNameHashJustaNameResolver.ts:108](https://github.com/JustaName-id/JustaName-sdk/blob/dc845c10af242e3ca87d95ef392516ac0bfa8b95/packages/@justaname.id/react/src/lib/hooks/resolver/useSetNameHashJustaNameResolver.ts#L108)

***

#### setNameHashJustaNameResolverError

> **setNameHashJustaNameResolverError**: `boolean`

Indicates if the mutation has led to an error.

**Defined in**

[packages/@justaname.id/react/src/lib/hooks/resolver/useSetNameHashJustaNameResolver.ts:111](https://github.com/JustaName-id/JustaName-sdk/blob/dc845c10af242e3ca87d95ef392516ac0bfa8b95/packages/@justaname.id/react/src/lib/hooks/resolver/useSetNameHashJustaNameResolver.ts#L111)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.justaname.id/sdk-reference/justaname-react-sdk/interfaces/usesetnamehashjustanameresolver.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
